Bug 217080 - deskutils/kdeplasma-addons: fails to build on armv6
Summary: deskutils/kdeplasma-addons: fails to build on armv6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm Any
: --- Affects Many People
Assignee: freebsd-kde (Team)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-13 18:34 UTC by Mikael Urankar
Modified: 2017-06-02 19:30 UTC (History)
2 users (show)

See Also:
tcberner: maintainer-feedback+


Attachments
patch (1.05 KB, patch)
2017-02-13 18:34 UTC, Mikael Urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikael Urankar freebsd_committer 2017-02-13 18:34:12 UTC
Created attachment 179957 [details]
patch

error:
[ 41%] Building CXX object applets/timer/CMakeFiles/plasma_applet_timer.dir/timer.o
cd /wrkdirs/usr/ports/deskutils/kdeplasma-addons/work/.build/applets/timer && /nxb-bin/usr/bin/c++   -DKDE4_CMAKE_TOPLEVEL_DIR_LENGTH=50 -DKDE_DEPRECATED_WARNINGS -DMAKE_PLASMA_APPLET_TIMER_LIB -DQT_NO_CAST_TO_ASCII -DQT_NO_STL -DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS -D_REENTRANT -I/wrkdirs/usr/ports/deskutils/kdeplasma-addons/work/.build/applets/timer -I/wrkdirs/usr/ports/deskutils/kdeplasma-addons/work/kdeplasma-addons-4.14.3/applets/timer -I/wrkdirs/usr/ports/deskutils/kdeplasma-addons/work/kdeplasma-addons-4.14.3/libs -I/usr/local/include/qt4/QtGui -I/usr/local/include/qt4/QtCore -I/usr/local/include/qt4/QtXml -I/usr/local/include -I/usr/local/include/kde4 -I/usr/local/include/kde4/KDE -I/usr/local/include/KDE -I/usr/local/include/qt4/phonon -I/usr/local/include/qt4/QtXmlPatterns -I/usr/local/include/qt4/QtWebKit -I/usr/local/include/qt4/QtTest -I/usr/local/include/qt4/QtSvg -I/usr/local/include/qt4/QtSql -I/usr/local/include/qt4/QtScript -I/usr/local/include/qt4/QtOpenGL -I/usr/local/include/qt4/QtNetwork -I/usr/local/include/qt4/QtDeclarative -I/usr/local/include/qt4/QtDBus -I/usr/local/include/qt4/Qt3Support -I/usr/local/include/qt4/Qt -I/usr/local/share/qt4/mkspecs/default -I/usr/local/include/qt4 -O2 -pipe -fno-builtin-sin -fno-builtin-cos -fno-strict-aliasing -fno-builtin-sin -fno-builtin-cos -Wnon-virtual-dtor -Wno-long-long -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wformat-security -Woverloaded-virtual -fno-common -fvisibility=hidden -Werror=return-type -fvisibility-inlines-hidden -Wno-return-type-c-linkage -O2 -DNDEBUG -DQT_NO_DEBUG -fPIC    -D_LARGEFILE64_SOURCE -o CMakeFiles/plasma_applet_timer.dir/timer.o -c /wrkdirs/usr/ports/deskutils/kdeplasma-addons/work/kdeplasma-addons-4.14.3/applets/timer/timer.cpp
In file included from /wrkdirs/usr/ports/deskutils/kdeplasma-addons/work/kdeplasma-addons-4.14.3/applets/timer/timer.cpp:20:
In file included from /wrkdirs/usr/ports/deskutils/kdeplasma-addons/work/kdeplasma-addons-4.14.3/applets/timer/timer.h:26:
In file included from /usr/local/include/kde4/KDE/Plasma/Applet:1:
In file included from /usr/local/include/kde4/KDE/Plasma/../../plasma/applet.h:30:
/usr/local/include/kde4/kgenericfactory.h:47:11: warning: 'KPluginFactory' is deprecated [-Wdeprecated-declarations]
        : KPluginFactory(data)
          ^
/usr/local/include/kde4/kpluginfactory.h:263:41: note: 'KPluginFactory' has been explicitly marked deprecated here
    KDE_CONSTRUCTOR_DEPRECATED explicit KPluginFactory(const KAboutData *aboutData, QObject *parent = 0);
                                        ^
/wrkdirs/usr/ports/deskutils/kdeplasma-addons/work/kdeplasma-addons-4.14.3/applets/timer/timer.cpp:501:31: error: call to 'qFuzzyCompare' is ambiguous


The attached patch fixes the issue, obtained from mmel@
Comment 1 Mikael Urankar freebsd_committer 2017-05-31 10:29:24 UTC
ping
Comment 2 commit-hook freebsd_committer 2017-06-02 19:05:19 UTC
A commit references this bug:

Author: tcberner
Date: Fri Jun  2 19:05:03 UTC 2017
New revision: 442452
URL: https://svnweb.freebsd.org/changeset/ports/442452

Log:
  Fix ambiguity of qFuzzyCompare on armv6

  PR:		217080
  Submitted by:	Mika?l Urankar <mikael.urankar@gmail.com>

Changes:
  head/deskutils/kdeplasma-addons/Makefile
  head/deskutils/kdeplasma-addons/files/patch-applets_timer_timer.cpp
Comment 3 Tobias C. Berner freebsd_committer 2017-06-02 19:30:24 UTC
Committed. Thanks for the patch, and sorry for the wait.